{% from "bootstrap5/form.html" import quick_form, render_field %}
{% extends "base.html" %}
{% block title %}Eye Scans{% endblock %}
{% block content %}


{% if scheduler_errors %}
<div class="alert alert-danger">
  <ul>
  {% for error in scheduler_errors %}
    <li>{{ error }}</li>
  {% endfor %}
  </ul>
</div>
{% endif %}

<div class="alert alert-{% if controller_result['error'] %}danger{% else %}primary{% endif %}">
    {{ controller_result['status'] }}
    {% if scheduler_progress['scans_total'] %}
      <br>
      Eye scan batch status: {{scheduler_progress['status']}},
        scans total: {{scheduler_progress['scans_total']}},
        started {{scheduler_progress['scans_started']}},
        skipped {{scheduler_progress['scans_skipped']}}.
    {% endif %}
</div>


<!-- Eye scan form -->
<div class="container px-0 py-4">
  <h2>Start eye scan</h2>

	<form method="post" action="/eye_scan/run_scan" class="mb-4" role=form>
		{{ form.hidden_tag() }}
		
		<div class="row">
			<div class="col-auto g-2">
				{{ render_field(form.scan_preset) }}
			</div>
			<div class="col-auto g-3">
				<button class="btn btn-lg btn-success" type="submit" {% if is_scheduler_running %}disabled{% endif %}>Run eye scan</button>
			</div>
		</div>		
	</form>
</div>

<!-- Eye scan images -->
{% for scan_name, scan in scans.items() %}

<div class="container mb-5 mt-5">
  <h2>{{scan["comment"]}}</h2>

<table>
  <tbody>
{% for link_name, scan_data in scan["links"].items() %}

{% if loop.index0 % 4 == 0 %}
  <tr>
{% endif %}

    {% if "error" in scan_data %}
    <td class="table-warning">
      <h3>{{link_name}}</h3>
      {{scan_data['error']}}
    </td>
    {% else %}
    <td class="col-auto g-2">
      <h3>{{link_name}}</h3>
      <img src="/ibert_eye_scan/{{scan_name}}/{{link_name}}.png?timestamp={{timestamp}}" alt="Scan {{scan_name}} link {{link_name}}"> 
    </td>
    {% endif %}

{% if (loop.index0 + 1) % 4 == 0 or loop.last %}
  </tr>
{% endif %}

{% endfor %}
  </tbody>
</table>

</div>

<hr class="my-4">
{% endfor %}


{% endblock %}